Net::Server::Proto::SSLEAY(3)

NAME
Net::Server::Proto::SSLEAY - Custom Net::Server SSL protocol handler based on Net::SSLeay directly.

SYNOPSIS
See Net::Server::Proto.

DESCRIPTION
This module is relatively new and has only served a couple of months in production environments. If anybody has any successes or ideas for improvment under SSLEAY, please email <paul@seamons.com>.

Protocol module for Net::Server. This module implements a secure socket layer over tcp (also known as SSL). See Net::Server::Proto.

PARAMETERS
Currently there is support for the following:

"SSL_cert_file"
    Full path to the certificate file to be used for this server. Should be in PEM format.

"SSL_key_file"
    Full path to the key file to be used for this server. Should be in PEM format.

"SSL_max_getline_length"
    Used during getline to only read until this many bytes are found. Default is undef which means unlimited.

"SSL_error_callback"
    Should be a code ref that will be called whenever error conditions are encountered. It passes a source message and an arrayref of the errors.

I'll add support for more as patches come in.

METHODS
This module implements most of the common file handle operations. There are some additions though:

"read_until"
    Takes bytes and match qr. If bytes is defined - it will read until that many bytes are found. If match qr is defined, it will read until the buffer matches that qr. If both are undefined, it will read until there is nothing left to read.

BUGS
There are probably many.

LICENCE
Distributed under the same terms as Net::Server

THANKS
Thanks to Bilbo at http://devpit.org/wiki/OpenSSL_with_nonblocking_sockets_%28in_Perl%29 for documenting a more reliable way of accepting and reading SSL connections.